Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Class WrapperDefElement

`java.lang.Object
oracle.jbo.mom.xml.WrapperDefElement`

All Implemented Interfaces:
  DefElement, DefNode

Direct Known Subclasses:
  ElementDefElement, MElementDefElement

public abstract class WrapperDefElement
extends java.lang.Object
implements DefElement

This abstract class implements the `DefElement` interface by creating a wrapper around some sort of object that behaves roughly like an immutable `Element`.

The concrete subclasses `ElementDefElement` and `MElementDefElement` use an `Element` or an `MElement` as the wrapped object.

See Also:
  `DefElement`

Field Summary

Fields inherited from interface oracle.jbo.mom.xml.DefNode
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`WrapperDefElement()`

Method Summary
`DefElement` | `findChildElement(java.lang.String childName)` Finds the first child element of the given node name
`abstract java.lang.String` | `getAttribute(java.lang.String param1)`
`NamedNodeMap` | `getAttributes()`
`abstract com.sun.java.util.collections.ArrayList` | `getAttrsList()` Gets all the attributes of the element, in no particular order.
`NodeList` | `getChildNodes()`
`java.util.Vector` | `getChildren(java.lang.String childName)` Gets the child elements of the given node name.
`NodeList` | `getChildrenByTagName(java.lang.String sName)`
`NodeList` | `getChildrenByTagName(java.lang.String uri, java.lang.String localName)`
`com.sun.java.util.collections.ArrayList` | `getChildrenList()` Gets all the child elements.
`com.sun.java.util.collections.ArrayList` | `getChildrenList(short[] nodeTypes)` Gets all the child nodes of the given types.
`abstract com.sun.java.util.collections.ArrayList` | `getChildrenList(short[] nodeTypes, java.lang.String childName)` Gets the child nodes of the given types and node name.
`com.sun.java.util.collections.ArrayList` | `getChildrenList(java.lang.String childName)` Gets the child elements of the given node name.
`java.lang.String` | `getElementName()` Retrieves the node name of the element as a string.
`protected abstract DefElement` | `getFirstChildByTagName(java.lang.String name)` Returns the first immediate child with the specified tag name.
`protected abstract DefElement` | `getFirstElementByTagName(java.lang.String name)` Returns the first `DefElement` descendant (preorder) with the specified tag name.
`abstract java.lang.String` | `getLocalName()`
`abstract java.lang.String` | `getNamespaceURI()`
`abstract java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`
`Document` | `getOwnerDocument()`
`java.util.Vector` | `getSimilarChildren(java.lang.String childName)` Gets the child elements with node names "similar to" the given node name (i.e.
`abstract com.sun.java.util.collections.ArrayList` | `getSimilarChildrenList(java.lang.String childName)` Gets the child elements with node names "similar to" the given node name (i.e.
`java.lang.String` | `getTagName()`
`java.util.Hashtable` | `loadProperties()` Loads the Jbo Properties
`com.sun.java.util.collections.HashMap` | `loadPropertiesMap()` Loads the Jbo Properties
`java.util.Hashtable` | `loadTable(java.lang.String attrName, java.lang.String elemName, java.lang.String name, java.lang.String value)`
`com.sun.java.util.collections.HashMap` | `loadTableMap(java.lang.String attrName, java.lang.String elemName, java.lang.String name, java.lang.String value)`
`boolean` | `readBoolean(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute
`java.lang.Class` | `readClassName(java.lang.String attrName)`
`int` | `readInt(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute and returns the int value.
`long` | `readLong(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute
`java.lang.String` | `readString(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute
`java.util.Vector` | `readStringArray(java.lang.String attrName)` Given the Attribute name loads the array
`com.sun.java.util.collections.ArrayList` | `readStringArrayList(java.lang.String attrName)` Given the Attribute name loads the array
`com.sun.java.util.collections.ArrayList` | `readStringArrayListElement(java.lang.String attrName)` Given the Attribute name loads the array
`java.lang.String` | `readUserNodeValue(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute
`void` | `removeAttribute(java.lang.String param1)`
`void` | `setAttribute(java.lang.String param1, java.lang.String param2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrapperDefElement

    public WrapperDefElement()

Method Detail

### getLocalName

    public abstract java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `DefNode`

### getNamespaceURI

    public abstract java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `DefNode`

### getNodeName

    public abstract java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `DefNode`

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `DefNode`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `DefNode`

### getElementName

    public java.lang.String getElementName()

  Description copied from interface: `DefElement`
  Retrieves the node name of the element as a string. The string will be in uppercase. ### [edelaube 2005/02/19] really??
  Specified by:
    `getElementName` in interface `DefElement`
  Returns:
    Returns the node name of the element.

### getChildren

    public java.util.Vector getChildren(java.lang.String childName)

  Description copied from interface: `DefElement`
  Gets the child elements of the given node name.
  Specified by:
    `getChildren` in interface `DefElement`
  Parameters:
    `childName` - the node name of the child - null indicates all names.
  Returns:
    Returns the child Vector.

### findChildElement

    public DefElement findChildElement(java.lang.String childName)

  Description copied from interface: `DefElement`
  Finds the first child element of the given node name
  Specified by:
    `findChildElement` in interface `DefElement`
  Parameters:
    `childName` - the node name of the child - null indicates all names.
  Returns:
    Returns the child.

### getChildrenList

    public com.sun.java.util.collections.ArrayList getChildrenList()

  Description copied from interface: `DefElement`
  Gets all the child elements.
  Specified by:
    `getChildrenList` in interface `DefElement`
  Returns:
    Returns the child ArrayList.

### getChildrenList

    public com.sun.java.util.collections.ArrayList getChildrenList(short[] nodeTypes)

  Description copied from interface: `DefElement`
  Gets all the child nodes of the given types.
  Specified by:
    `getChildrenList` in interface `DefElement`
  Parameters:
    `nodeTypes` - the types of nodes to be retrieved. Notes: (1) Only ELEMENT_NODE, TEXT_NODE, and CDATA_SECTION_NODE are currently supported. (2) The order in which node types are listed has no effect, even on performance.
  Returns:
    Returns the child ArrayList.

### getChildrenList

    public com.sun.java.util.collections.ArrayList getChildrenList(java.lang.String childName)

  Description copied from interface: `DefElement`
  Gets the child elements of the given node name.
  Specified by:
    `getChildrenList` in interface `DefElement`
  Parameters:
    `childName` - the node name of the child - null indicates all names.
  Returns:
    Returns the child ArrayList.

### getChildrenList

    public abstract com.sun.java.util.collections.ArrayList getChildrenList(short[] nodeTypes,
                                                                            java.lang.String childName)

  Description copied from interface: `DefElement`
  Gets the child nodes of the given types and node name.
  Specified by:
    `getChildrenList` in interface `DefElement`
  Parameters:
    `nodeTypes` - the types of nodes to be retrieved. Notes: (1) Only ELEMENT_NODE, TEXT_NODE, and CDATA_SECTION_NODE are currently supported. (2) The order in which node types are listed has no effect, even on performance.
    `childName` - the node name of the child - null indicates all names.
  Returns:
    Returns the child ArrayList.

### getSimilarChildren

    public java.util.Vector getSimilarChildren(java.lang.String childName)

  Description copied from interface: `DefElement`
  Gets the child elements with node names "similar to" the given node name (i.e. whose node names contain the given node name as a substring).
  Specified by:
    `getSimilarChildren` in interface `DefElement`
  Parameters:
    `childName` - the substring within node name of the child.
  Returns:
    Returns the child Vector.

### getSimilarChildrenList

    public abstract com.sun.java.util.collections.ArrayList getSimilarChildrenList(java.lang.String childName)

  Description copied from interface: `DefElement`
  Gets the child elements with node names "similar to" the given node name (i.e. whose node names contain the given node name as a substring).
  Specified by:
    `getSimilarChildrenList` in interface `DefElement`
  Parameters:
    `childName` - the Substring within node name of the child.
  Returns:
    Returns the child ArrayList.

### getAttrsList

    public abstract com.sun.java.util.collections.ArrayList getAttrsList()

  Description copied from interface: `DefElement`
  Gets all the attributes of the element, in no particular order.
  Specified by:
    `getAttrsList` in interface `DefElement`
  Returns:
    ArrayList of DefNode objects that represent the attributes.

### readInt

    public int readInt(java.lang.String attrName)

  Description copied from interface: `DefElement`
  Given the Object name and Attribute name loads that attribute and returns the int value. If no such attribute found, returns 0 for the attribute default value.
  Specified by:
    `readInt` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readLong

    public long readLong(java.lang.String attrName)

  Description copied from interface: `DefElement`
  Given the Object name and Attribute name loads that attribute
  Specified by:
    `readLong` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readBoolean

    public boolean readBoolean(java.lang.String attrName)

  Description copied from interface: `DefElement`
  Given the Object name and Attribute name loads that attribute
  Specified by:
    `readBoolean` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readString

    public java.lang.String readString(java.lang.String attrName)

  Description copied from interface: `DefElement`
  Given the Object name and Attribute name loads that attribute
  Specified by:
    `readString` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readUserNodeValue

    public java.lang.String readUserNodeValue(java.lang.String attrName)

  Description copied from interface: `DefElement`
  Given the Object name and Attribute name loads that attribute
  Specified by:
    `readUserNodeValue` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Attribute

### readStringArray

    public java.util.Vector readStringArray(java.lang.String attrName)

  Description copied from interface: `DefElement`
  Given the Attribute name loads the array
  Specified by:
    `readStringArray` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Vector

### readStringArrayList

    public com.sun.java.util.collections.ArrayList readStringArrayList(java.lang.String attrName)

  Description copied from interface: `DefElement`
  Given the Attribute name loads the array
  Specified by:
    `readStringArrayList` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Vector

### readStringArrayListElement

    public com.sun.java.util.collections.ArrayList readStringArrayListElement(java.lang.String attrName)

  Description copied from interface: `DefElement`
  Given the Attribute name loads the array
  Specified by:
    `readStringArrayListElement` in interface `DefElement`
  Parameters:
    `attrName` - Name of the Attribute
  Returns:
    Returns the Vector

### readClassName

    public java.lang.Class readClassName(java.lang.String attrName)

  Specified by:
    `readClassName` in interface `DefElement`

### loadProperties

    public java.util.Hashtable loadProperties()

  Description copied from interface: `DefElement`
  Loads the Jbo Properties
  Specified by:
    `loadProperties` in interface `DefElement`
  Returns:
    Returns the Properties hashtable

### loadPropertiesMap

    public com.sun.java.util.collections.HashMap loadPropertiesMap()

  Description copied from interface: `DefElement`
  Loads the Jbo Properties
  Specified by:
    `loadPropertiesMap` in interface `DefElement`
  Returns:
    Returns the Properties hashtable

### loadTable

    public java.util.Hashtable loadTable(java.lang.String attrName,
                                         java.lang.String elemName,
                                         java.lang.String name,
                                         java.lang.String value)

  Specified by:
    `loadTable` in interface `DefElement`

### loadTableMap

    public com.sun.java.util.collections.HashMap loadTableMap(java.lang.String attrName,
                                                              java.lang.String elemName,
                                                              java.lang.String name,
                                                              java.lang.String value)

  Specified by:
    `loadTableMap` in interface `DefElement`

### getTagName

    public java.lang.String getTagName()

  Specified by:
    `getTagName` in interface `DefElement`

### getAttribute

    public abstract java.lang.String getAttribute(java.lang.String param1)

  Specified by:
    `getAttribute` in interface `DefElement`

### setAttribute

    public void setAttribute(java.lang.String param1,
                             java.lang.String param2)

  Specified by:
    `setAttribute` in interface `DefElement`

### removeAttribute

    public void removeAttribute(java.lang.String param1)

  Specified by:
    `removeAttribute` in interface `DefElement`

### getAttributes

    public NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `DefElement`

### getChildNodes

    public NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `DefElement`

### getChildrenByTagName

    public NodeList getChildrenByTagName(java.lang.String sName)

  Specified by:
    `getChildrenByTagName` in interface `DefElement`

### getChildrenByTagName

    public NodeList getChildrenByTagName(java.lang.String uri,
                                         java.lang.String localName)

  Specified by:
    `getChildrenByTagName` in interface `DefElement`

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `DefElement`

### getFirstChildByTagName

    protected abstract DefElement getFirstChildByTagName(java.lang.String name)

  Returns the first immediate child with the specified tag name.
  Parameters:
    `name` - The tag name to match on, or "*" for first child.
  Returns:
    The first matching child (or `null` if none).

### getFirstElementByTagName

    protected abstract DefElement getFirstElementByTagName(java.lang.String name)

  Returns the first `DefElement` descendant (preorder) with the specified tag name.
  Parameters:
    `name` - The tag name to match on.
  Returns:
    The first matching descendant (or `null` if none).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.